Page MenuHomePhabricator

Add save and share to article overflow menu so that they are accessible from anywhere in page
Closed, ResolvedPublic1 Story Points

Description

Icons for save and share should remain in native toolbar, but they should also be in overflow menu so that they are accessible from anywhere in the article.

As a user I want to be able to save or share from anywhere in the article.
(From user in play store, "This is great app but last update Put the bookmark button in the top of the content page and now if I want to save a page during reading I have to scroll all the way up and lose my progress, would you improve on this?")

Save and share were previously in the overflow menu. We wanted to make them more prominent, so we added them into a native toolbar below the title. T116122

I proposed this solution, T126566, but that will require reworking other things. In the meantime, the native toolbar with save and share should remain below the lead image, but we should also add them back to the overflow menu, in case a user wants to save after they have scrolled down.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2016, 10:05 AM

Change 284904 had a related patch set uploaded (by Dbrant):
Add "share" and "add to list" to page overflow menu.

https://gerrit.wikimedia.org/r/284904

Change 284904 merged by jenkins-bot:
Add "share" and "add to list" to page overflow menu.

https://gerrit.wikimedia.org/r/284904

Dbrant claimed this task.Apr 22 2016, 4:59 PM
Dbrant set the point value for this task to 1.
Dbrant moved this task from To Do to QA Signoff on the Mobile-App-Android-Sprint-80-Mercury board.

Tested on Wikipedia build 2.1.143-alpha-2016-04-22 on Android 5.1 ZTE phone. This is fixed, see attached screenshot.

Dbrant closed this task as Resolved.Apr 25 2016, 12:02 PM
Dbrant moved this task from Design Signoff to Done on the Mobile-App-Android-Sprint-80-Mercury board.